Constructs timer event object

- « Event::signal

- EventBase »

- PHP Manual
- Event
- Constructs timer event object

# Event::timer

(PECL event >= 1.2.6-beta)

Event::timer — Constructs timer event object

### Description

public static Event::timer( EventBase `$base` , callable `$cb` , mixed `$arg` = ?): Event

Constructs timer event object. This is a straightforward method to create a timer event. Note, the generic Event::__construct() method can contruct signal event objects too.

### Parameters

`base`

  The associated event base object.

`cb`

  The signal event callback. See Event callbacks.

`arg`

  Custom data. If specified, it will be passed to the callback when event triggers.

### Return Values

Returns Event object on success. Otherwise `false`.